--[[	Spydon Font Manager
	by SDPhantom
	http://www.phantomweb.org	]]
------------------------------------------

local Name,Addon=...;

------------------------------------------
--[[	Dynamicly Accessed Fonts	]]
------------------------------------------
Addon.ChannelFonts={
	WHISPER		=SpydonChannelFontWhisper;
	PARTY		=SpydonChannelFontParty;
	RAID		=SpydonChannelFontRaid;
	BATTLEGROUND	=SpydonChannelFontBattleground;
	GUILD		=SpydonChannelFontGuild;
}

Addon.DirectionFonts={
	IN	=SpydonDirectionFontIn;
	OUT	=SpydonDirectionFontOut;
	ECHO	=SpydonDirectionFontEcho;
}

--------------------------
--[[	Font Color API	]]
--------------------------
function Addon.GetFontColorCode(fontobj)
	local r,g,b,a=fontobj:GetTextColor();
	return ("|c%02x%02x%02x%02x"):format((a or 1)*255,r*255,g*255,b*255);
end

----------------------------------
--[[	Chat Color Updater	]]
----------------------------------
Addon.RegisterEvent(
	function(func,event,chan,r,g,b)
		if Addon.ChannelFonts[chan] then Addon.ChannelFonts[chan]:SetTextColor(r,g,b); end
	end
	,"UPDATE_CHAT_COLOR"
);
