--[[	Spydon Call Stack Module
	by SDPhantom
	http://www.phantomweb.org	]]
------------------------------------------

local Name,Addon=...;

function SpydonCallStackFrame_OnLoad(self)
	Addon.CreateTab("Call Stack",self);

	Addon.RegisterEvent(--	Current Message Update
		function(func,event,...)
			local id,ptr=Addon.GetCurrentMessage();
			if ptr and ptr[3] then
				local stack,count=ptr[3],0;
				for i in stack:gmatch("[^\n]+") do
					count=count+1;
				end

				self.CallStackText:SetText(stack);
				self.StackSizeText:SetText(count);

				self.ErrorText:SetText("");
			else
				self.CallStackText:SetText("");
				self.StackSizeText:SetText("");
				if ptr then
					self.ErrorText:SetFontObject(SpydonErrorFont);
					self.ErrorText:SetText("No Call Stack data available!");
				else
					self.ErrorText:SetFontObject(SpydonWarningFont);
					self.ErrorText:SetText("No message found!");
				end
			end
		end
		,"SPYDON_MESSAGELIST_UPDATE"
		,"SPYDON_MESSAGELIST_SELECTED"
		,"SPYDON_MESSAGELIST_HIGHLIGHTED"
	);
end
